 	  var defaultMarkerStyle = new ol.style.Style({
 	  		image : new ol.style.Icon(/** @type {olx.style.IconOptions} */
 	  			({
 	  				anchor : [0.5, 41],
 	  				anchorXUnits : 'fraction',
 	  				anchorYUnits : 'pixels',
 	  				src : '././img/marker.png'
 	  			}))
 	  	});

 	  var geoMarkerStyle = new ol.style.Style({
 	  		image : new ol.style.Circle({
 	  			radius : 7,
 	  			snapToPixel : false,
 	  			fill : new ol.style.Fill({
 	  				color : 'blue'
 	  			}),
 	  			stroke : new ol.style.Stroke({
 	  				color : 'yellow',
 	  				width : 2
 	  			})
 	  		})
 	  	});

 	  function createIconMarker(coord, name, popup_content, marker_type) {
 	  	var feature = new ol.Feature({
 	  			type : 'marker-with-popup',
 	  			geometry : new ol.geom.Point(coord),
 	  			name : name,
 	  			popup_content : popup_content,
				marker_type : marker_type
 	  		});
 	  	//console.log('marker_type ' + marker_type);
 	 // 	if (marker_type && markerStyles[marker_type])
 	  		//feature.setStyle(markerStyles[marker_type]['normal']);
		
 	  //	else
 	  	//	feature.setStyle(defaultMarkerStyle);
 	  	return feature;
 	  	}

 	  	function createCircleMarker(coord, type, name, popup_content) {
 	  		var geoMarker = new ol.Feature({
 	  				type : type,
 	  				geometry : new ol.geom.Point(coord),
 	  				name : name,
 	  				popup_content : popup_content
 	  			});
 	  		geoMarker.setStyle(geoMarkerStyle);
 	  		return geoMarker;
 	  	}

 	  	function createLabel(text) {
 	  		var label = new ol.Feature({
 	  				type : 'text',
 	  				geometry : new ol.geom.Point([500, 700])
 	  			});
 	  		var labelStyle = new ol.style.Style({
 	  				text : new ol.style.Text({
 	  					text : text
 	  				})
 	  			});
 	  		label.setStyle(labelStyle);
 	  		return label;
 	  	}

		
		
		var markerStyleCache={};
	var markerStyle = function () {
	

	return function (feature, resolution) {
		//console.log("feature.type " + feature.get('type') );
		//	console.log("feature.type " + feature.get('type') );
		//	console.log("feature.id " + feature.getId() );
			
		//console.log("resolution= " + resolution);
		if (feature.get('type')== 'marker-with-popup' || feature.get('type')== 'temp-marker-with-popup' ) {
			//console.log("resolution= " + resolution );

		
			var marker_type = feature.get('marker_type')
			
			var isTourItem = feature['tourItem'];
			var isVisited = feature['visited'];
			var style;
				//console.log("feature['visited']= " + feature['visited'] );
            if (!isTourItem ) {
            	style = markerStyleCache[marker_type];

            	if (!style) {
					if(markerStyles[marker_type])
						style = markerStyles[marker_type]['normal'];
					else 
						style = markerStyles['general']['normal'];
					if(!style['origScale'])  style['origScale'] = style.getImage().getScale();
            		style['defaultScale'] = style['origScale'];
            		markerStyleCache[marker_type] = style;

            	}
            } else if (!isVisited) {
            	style = markerStyleCache[marker_type + "_tour"];

            	if (!style) {
            		style = markerStyles[marker_type]['tour'];
					if(markerStyles[marker_type])
						style = markerStyles[marker_type]['tour'];
					else 
						style = markerStyles['general']['tour'];
					if(!style['origScale'])  style['origScale'] = style.getImage().getScale();
            		style['defaultScale'] = style['origScale'];
            		markerStyleCache[marker_type + "_tour"] = style;

            		}

            	} else {
            	style = markerStyleCache[marker_type + "_visited"];

            	if (!style) {
					if(markerStyles[marker_type])
						style = markerStyles[marker_type]['visited'];
					else 
						style = markerStyles['general']['visited'];
					if(!style['origScale'])  style['origScale'] = style.getImage().getScale();
            		style['defaultScale'] = style['origScale'];
            		markerStyleCache[marker_type + "_visited"] = style;

            		}

            	}
					
					
		//	console.log(mapViewerOptions.iconScaleFactor);
			var scale = style['defaultScale'] /(mapViewerOptions.iconScaleFactor*resolution);
			if (scale>style['defaultScale']) scale=style['defaultScale']
			style.getImage().setScale(scale);
			
			
			return style;

		}

	};
};