	function panTo(source, destination) {
		var pan = ol.animation.pan({
				duration : 1000,
				source : /** @type {ol.Coordinate} */
				source
			});
		map.beforeRender(pan);
		map.getView().setCenter(destination);

	}

	function getSecondsFromDayStart(dt) {
		return dt.getSeconds() + (60 * (dt.getMinutes() + (60 * dt.getHours())));

	}
	
	function displayTimeFromSecondsToHoursAndMinutes (timeSeconds) {
		var displayTime='';
		var hours = Math.floor(timeSeconds / 3600);
		if (hours > 0) {
			displayTime = hours + "h";
		 timeSeconds = timeSeconds - hours*3600;
		}
		var mins = Math.round(timeSeconds / 60);
			if (mins > 0) {
				displayTime = displayTime + " " + mins + "min";
			}
		
		return displayTime;
	}
	
		
	function displayTimeFromSecondsRounded(timeSeconds) {
		var displayTime='';
		var hours = Math.round(timeSeconds / 3600);
		if (hours > 0)
			displayTime = hours + " " + langString (language, 'h');
		else {
			var mins = Math.round(timeSeconds / 60);
			if (mins > 0)
				displayTime = mins + " " + langString (language, 'min');
			else
				displayTime = timeSeconds + " "+langString (language, 's');
		}
		return displayTime;
	}
	
			
	function displayDistanceFromMetresRounded(distanceMetres) {
		var displayDistance='';
		var km = Math.round(distanceMetres *10 / 1000)/10;
		if (km > 1)
			displayDistance = km +langString (language, 'kilometres');
		else {
			displayDistance = distanceMetres + langString(language,'metres');
		}
		return displayDistance;
	}