

var searchOptionsDef_en = [
	{
		'id' : '0',
		'types' : markerOptions_information,
		'name' : 'Information',
		'icon' : '././img/search-info.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '1',
		'types' : markerOptions_eatery,
		'name' : 'Food and Drinks',
		'icon' : '././img/search-food.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '2',
		'types' : markerOptions_attraction,
		'name' : 'See and Do',
		'icon' : '././img/search-business.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '3',
		'types' : markerOptions_toilet,
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '4',
		'types' : markerOptions_shops,
		'name' : 'ATMs, Souvenirs & Hire',
		'icon' : '././img/search-atm.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '5',
		'types' : markerOptions_accomodation ,
		'name' : 'Accommodation',
		'icon' : '././img/search-accomodation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '6',
		'types' : markerOptions_transportation ,
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '7',
		'types' : markerOptions_rest,
		'name' : "Playgrounds",
		'icon' : '././img/search-activities.svg',
		'disabled' : false,
		'hide' : false,
	},
	{
		'id' : '8',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},
	{
		'id' : '9',
		'types' : markerOptions_alert,
		'name' : 'Alerts',
		'icon' : '././img/search-transportation.svg',
		'disabled' : true,
		'hide' : true,
	},
]

var searchOptionsDef_zh_Hans = [
	{
		'id' : '0',
		'types' : markerOptions_information,
		'name' : '信息',
		'icon' : '././img/search-info.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '1',
		'types' : markerOptions_eatery,
		'name' : '吃喝',
		'icon' : '././img/search-food.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '2',
		'types' : markerOptions_attraction,
		'name' : '玩乐',
		'icon' : '././img/search-business.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '3',
		'types' : markerOptions_toilet,
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '4',
		'types' : markerOptions_shops,
		'name' : 'ATMs, Souvenirs & Hire',
		'icon' : '././img/search-atm.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '5',
		'types' : markerOptions_accomodation ,
		'name' : '住宿',
		'icon' : '././img/search-accomodation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '6',
		'types' : markerOptions_transportation ,
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '7',
		'types' : markerOptions_rest,
		'name' : "Playgrounds",
		'icon' : '././img/search-activities.svg',
		'disabled' : false,
		'hide' : false,
	},
	{
		'id' : '8',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},
	{
		'id' : '9',
		'types' : markerOptions_alert,
		'name' : 'Alerts',
		'icon' : '././img/search-transportation.svg',
		'disabled' : true,
		'hide' : true,
	},
]

var searchOptionsDef_fr = [
	{
		'id' : '0',
		'types' : markerOptions_information,
		'name' : 'Information',
		'icon' : '././img/search-info.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '1',
		'types' : markerOptions_eatery,
		'name' : 'Food and Drinks',
		'icon' : '././img/search-food.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '2',
		'types' : markerOptions_attraction,
		'name' : 'See and Do',
		'icon' : '././img/search-event.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '3',
		'types' : markerOptions_toilet,
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '4',
		'types' : markerOptions_shops,
		'name' : 'ATMs, Souvenirs & Hire',
		'icon' : '././img/search-atm.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '5',
		'types' : markerOptions_accomodation ,
		'name' : 'Accommodation',
		'icon' : '././img/search-accomodation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '6',
		'types' : markerOptions_transportation ,
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '7',
		'types' : markerOptions_rest,
		'name' : "Playgrounds",
		'icon' : '././img/search-activities.svg',
		'disabled' : false,
		'hide' : false,
	},
	{
		'id' : '8',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},
	{
		'id' : '9',
		'types' : markerOptions_alert,
		'name' : 'Alerts',
		'icon' : '././img/search-transportation.svg',
		'disabled' : true,
		'hide' : true,
	},
]


var searchDefDic = {
	'en' : searchOptionsDef_en,
	'zh_Hans' : searchOptionsDef_zh_Hans,
	'fr' : searchOptionsDef_fr,

}
var searchOptionsDef;

function initSearchOptionsDef (){
	 searchOptionsDef = searchDefDic[language];
}
